Google Web Toolkit
Search Google Code:

# Class HorizontalSplitPanel

public final class HorizontalSplitPanel
extends SplitPanel
A panel that arranges two widgets in a single horizontal row and allows the user to interactively change the proportion of the width dedicated to each of the two widgets. Widgets contained within a `HorizontalSplitPanel` will be automatically decorated with scrollbars when necessary.

### CSS Style Rules

- .gwt-HorizontalSplitPanel { the panel itself }
- .gwt-HorizontalSplitPanel hsplitter { the splitter }

## Constructors

HorizontalSplitPanel() |
HorizontalSplitPanel(HorizontalSplitPanelImages) | Creates an empty horizontal split panel.

## Methods

getLeftWidget() | Gets the widget in the left side of the panel.
getRightWidget() | Gets the widget in the right side of the panel.
onLoad() | A Panel's onLoad method will be called after all of its children are attached.
onUnload() | A Panel's onUnload method will be called before its children become detached themselves.
setLeftWidget(Widget) | Sets the widget in the left side of the panel.
setRightWidget(Widget) | Sets the widget in the right side of the panel.
setSplitPosition(String) | Moves the position of the splitter.

## Constructor Detail

### HorizontalSplitPanel

public HorizontalSplitPanel()

### HorizontalSplitPanel

public HorizontalSplitPanel(HorizontalSplitPanelImages images)
Creates an empty horizontal split panel.

#### Parameters

images

## Method Detail

### getLeftWidget

public final Widget getLeftWidget()
Gets the widget in the left side of the panel.

#### Return Value

the widget, `null` if there is not one.

### getRightWidget

public final Widget getRightWidget()
Gets the widget in the right side of the panel.

#### Return Value

the widget, `null` if there is not one.

### onLoad

protected void onLoad()
A Panel's onLoad method will be called after all of its children are attached.

#### See Also

Widget.onLoad()

### onUnload

protected void onUnload()
A Panel's onUnload method will be called before its children become detached themselves.

#### See Also

Widget.onLoad()

### setLeftWidget

public final void setLeftWidget(Widget w)
Sets the widget in the left side of the panel.

#### Parameters

w
  the widget

### setRightWidget

public final void setRightWidget(Widget w)
Sets the widget in the right side of the panel.

#### Parameters

w
  the widget

### setSplitPosition

public abstract void setSplitPosition(String size)
Moves the position of the splitter.

#### Parameters

size
  the new size of the left region in CSS units (e.g. "10px", "1em")